package com.chenyang.nse.bussiness.entity.orm.table.core.file;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_FILE_STRUCTURESPLITER"
)
public class TCoreFileStructurespliter extends TBaseEntity {
   private String filestructureid;
   private String consecdelimitersasone;
   private String delimiters;
   private String multidelimitersasand;
   private String quotecharacter;
   private String rowdelimiter;
   private String escapecharacter;
   private String keepescapechar;
   private String delimiterencoding;

   public TCoreFileStructurespliter() {
   }

   public TCoreFileStructurespliter(String filestructureid, String consecdelimitersasone, String delimiters, String multidelimitersasand, String quotecharacter, String rowdelimiter, String escapecharacter, String keepescapechar, String delimiterencoding) {
      this.filestructureid = filestructureid;
      this.consecdelimitersasone = consecdelimitersasone;
      this.delimiters = delimiters;
      this.multidelimitersasand = multidelimitersasand;
      this.quotecharacter = quotecharacter;
      this.rowdelimiter = rowdelimiter;
      this.escapecharacter = escapecharacter;
      this.keepescapechar = keepescapechar;
      this.delimiterencoding = delimiterencoding;
   }

   public String getFilestructureid() {
      return this.filestructureid;
   }

   public void setFilestructureid(String filestructureid) {
      this.filestructureid = filestructureid;
   }

   public String getConsecdelimitersasone() {
      return this.consecdelimitersasone;
   }

   public void setConsecdelimitersasone(String consecdelimitersasone) {
      this.consecdelimitersasone = consecdelimitersasone;
   }

   public String getDelimiters() {
      return this.delimiters;
   }

   public void setDelimiters(String delimiters) {
      this.delimiters = delimiters;
   }

   public String getMultidelimitersasand() {
      return this.multidelimitersasand;
   }

   public void setMultidelimitersasand(String multidelimitersasand) {
      this.multidelimitersasand = multidelimitersasand;
   }

   public String getQuotecharacter() {
      return this.quotecharacter;
   }

   public void setQuotecharacter(String quotecharacter) {
      this.quotecharacter = quotecharacter;
   }

   public String getRowdelimiter() {
      return this.rowdelimiter;
   }

   public void setRowdelimiter(String rowdelimiter) {
      this.rowdelimiter = rowdelimiter;
   }

   public String getEscapecharacter() {
      return this.escapecharacter;
   }

   public void setEscapecharacter(String escapecharacter) {
      this.escapecharacter = escapecharacter;
   }

   public String getKeepescapechar() {
      return this.keepescapechar;
   }

   public void setKeepescapechar(String keepescapechar) {
      this.keepescapechar = keepescapechar;
   }

   public String getDelimiterencoding() {
      return this.delimiterencoding;
   }

   public void setDelimiterencoding(String delimiterencoding) {
      this.delimiterencoding = delimiterencoding;
   }

   public String toString() {
      return "TCoreFileStructurespliter [filestructureid=" + this.filestructureid + ", consecdelimitersasone=" + this.consecdelimitersasone + ", delimiters=" + this.delimiters + ", multidelimitersasand=" + this.multidelimitersasand + ", quotecharacter=" + this.quotecharacter + ", rowdelimiter=" + this.rowdelimiter + ", escapecharacter=" + this.escapecharacter + ", keepescapechar=" + this.keepescapechar + ", delimiterencoding=" + this.delimiterencoding + "]";
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.consecdelimitersasone == null ? 0 : this.consecdelimitersasone.hashCode());
      result = 31 * result + (this.delimiterencoding == null ? 0 : this.delimiterencoding.hashCode());
      result = 31 * result + (this.delimiters == null ? 0 : this.delimiters.hashCode());
      result = 31 * result + (this.escapecharacter == null ? 0 : this.escapecharacter.hashCode());
      result = 31 * result + (this.filestructureid == null ? 0 : this.filestructureid.hashCode());
      result = 31 * result + (this.keepescapechar == null ? 0 : this.keepescapechar.hashCode());
      result = 31 * result + (this.multidelimitersasand == null ? 0 : this.multidelimitersasand.hashCode());
      result = 31 * result + (this.quotecharacter == null ? 0 : this.quotecharacter.hashCode());
      result = 31 * result + (this.rowdelimiter == null ? 0 : this.rowdelimiter.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         TCoreFileStructurespliter other = (TCoreFileStructurespliter)obj;
         if (this.consecdelimitersasone == null) {
            if (other.consecdelimitersasone != null) {
               return false;
            }
         } else if (!this.consecdelimitersasone.equals(other.consecdelimitersasone)) {
            return false;
         }

         if (this.delimiterencoding == null) {
            if (other.delimiterencoding != null) {
               return false;
            }
         } else if (!this.delimiterencoding.equals(other.delimiterencoding)) {
            return false;
         }

         if (this.delimiters == null) {
            if (other.delimiters != null) {
               return false;
            }
         } else if (!this.delimiters.equals(other.delimiters)) {
            return false;
         }

         if (this.escapecharacter == null) {
            if (other.escapecharacter != null) {
               return false;
            }
         } else if (!this.escapecharacter.equals(other.escapecharacter)) {
            return false;
         }

         if (this.filestructureid == null) {
            if (other.filestructureid != null) {
               return false;
            }
         } else if (!this.filestructureid.equals(other.filestructureid)) {
            return false;
         }

         if (this.keepescapechar == null) {
            if (other.keepescapechar != null) {
               return false;
            }
         } else if (!this.keepescapechar.equals(other.keepescapechar)) {
            return false;
         }

         if (this.multidelimitersasand == null) {
            if (other.multidelimitersasand != null) {
               return false;
            }
         } else if (!this.multidelimitersasand.equals(other.multidelimitersasand)) {
            return false;
         }

         if (this.quotecharacter == null) {
            if (other.quotecharacter != null) {
               return false;
            }
         } else if (!this.quotecharacter.equals(other.quotecharacter)) {
            return false;
         }

         if (this.rowdelimiter == null) {
            if (other.rowdelimiter != null) {
               return false;
            }
         } else if (!this.rowdelimiter.equals(other.rowdelimiter)) {
            return false;
         }

         return true;
      }
   }
}
